Package org.kie.api.definition.process

## Interface Node

-     public interface Node

  A Node represents an activity in the process flow chart. Many different predefined nodes are supported out-of-the-box.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getId()` | The id of the node.
    `java.util.Map<java.lang.String,​java.util.List<Connection>>` | `getIncomingConnections()` | The incoming connections for this Node.
    `java.util.List<Connection>` | `getIncomingConnections​(java.lang.String type)` | The incoming connections for this Node for the given entry-point.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetaData()` | Meta data associated with this Node.
    `java.lang.String` | `getName()` | The name of the node
    `NodeContainer` | `getNodeContainer()` | The NodeContainer this Node lives in.
    `default NodeType` | `getNodeType()` | Type of this node
    `java.lang.String` | `getNodeUniqueId()` | the node id in the bpmn
    `java.util.Map<java.lang.String,​java.util.List<Connection>>` | `getOutgoingConnections()` | The outgoing connections for this Node.
    `java.util.List<Connection>` | `getOutgoingConnections​(java.lang.String type)` | The outgoing connections for this Node for the given exit-point.

- - ### Method Detail

    - #### getId

          long getId()

      The id of the node. This is unique within its NodeContainer.
      Returns:
        the id of the node

    - #### getNodeUniqueId

          java.lang.String getNodeUniqueId()

      the node id in the bpmn
      Returns:

    - #### getName

          java.lang.String getName()

      The name of the node
      Returns:
        the name of the node

    - #### getIncomingConnections

          java.util.Map<java.lang.String,​java.util.List<Connection>> getIncomingConnections()

      The incoming connections for this Node. A Node could have multiple entry-points. This map contains the list of incoming connections for each entry-point.
      Returns:
        the incoming connections

    - #### getOutgoingConnections

          java.util.Map<java.lang.String,​java.util.List<Connection>> getOutgoingConnections()

      The outgoing connections for this Node. A Node could have multiple exit-points. This map contains the list of outgoing connections for each exit-point.
      Returns:
        the outgoing connections

    - #### getIncomingConnections

          java.util.List<Connection> getIncomingConnections​(java.lang.String type)

      The incoming connections for this Node for the given entry-point.
      Returns:
        the incoming connections for the given entry point

    - #### getOutgoingConnections

          java.util.List<Connection> getOutgoingConnections​(java.lang.String type)

      The outgoing connections for this Node for the given exit-point.
      Returns:
        the outgoing connections for the given exit point

    - #### getNodeContainer

          NodeContainer getNodeContainer()

      The NodeContainer this Node lives in.
      Returns:
        the NodeContainer

    - #### getMetaData

          java.util.Map<java.lang.String,​java.lang.Object> getMetaData()

      Meta data associated with this Node.

    - #### getNodeType

          default NodeType getNodeType()

      Type of this node
      Returns:
        one of the possible type of nodes